Subject: Re: bug#11935: XINT etc. should be functions

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 Jul 2012 18:06:16 -0400

>> How does this change affect performance with -O0?

> It hurts it.  In normal operation I don't notice --
> everything is plenty fast enough -- but in an artificial
> benchmark designed to stress the new code (see below) the
> performance is significantly worse.  If this is an issue,
> we can mark these new functions with __attribute__
> ((__always_inline__)), but I'm inclined to try things
> without this attribute, and resort to the attribute only if
> needed.

I always run with -O0 (plus ENABLE_CHECKING, and to add insult to
injury, on Atom-level platforms), so I'd appreciate if you could ensure
those functions are inlined even in -O0.

> 1.332   1.82   current (-O0)
> 1.410  11.86   patched (-O0)

That would really hurt: my Emacs sessions already tend to feel sluggish
without this extra pain.

        Stefan